#ifndef SUBSUMPTION1_H
#define SUBSUMPTION1_H

// state functions
void SUB1Initial(void);
void SUB1Turning(void);
void SUB1WallFollowing(void);
void SUB1Collision(void);

// basic initialization
void SUB1Initialize(void);

// called in main line
void SUB1Run(void);

#endif